Package org.kie.api.fluent

## Interface SubProcessNodeBuilder<T extends NodeContainerBuilder<T,​?>>

- All Superinterfaces:
    `NodeBuilder<SubProcessNodeBuilder<T>,​T>`

      public interface SubProcessNodeBuilder<T extends NodeContainerBuilder<T,​?>>
      extends NodeBuilder<SubProcessNodeBuilder<T>,​T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SubProcessNodeBuilder<T>` | `independent​(boolean independent)` |
    `SubProcessNodeBuilder<T>` | `inMapping​(java.lang.String parameterName, java.lang.String variableName)` |
    `T` | `onEntryAction​(Dialect dialect, java.lang.String action)` |
    `T` | `onExitAction​(Dialect dialect, java.lang.String action)` |
    `SubProcessNodeBuilder<T>` | `outMapping​(java.lang.String parameterName, java.lang.String variableName)` |
    `SubProcessNodeBuilder<T>` | `processId​(java.lang.String processId)` |
    `T` | `timer​(java.lang.String delay, java.lang.String period, Dialect dialect, java.lang.String action)` |
    `SubProcessNodeBuilder<T>` | `waitForCompletion​(boolean waitForCompletion)` |

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Method Detail

    - #### processId

          SubProcessNodeBuilder<T> processId​(java.lang.String processId)

    - #### waitForCompletion

          SubProcessNodeBuilder<T> waitForCompletion​(boolean waitForCompletion)

    - #### inMapping

          SubProcessNodeBuilder<T> inMapping​(java.lang.String parameterName,
                                             java.lang.String variableName)

    - #### outMapping

          SubProcessNodeBuilder<T> outMapping​(java.lang.String parameterName,
                                              java.lang.String variableName)

    - #### independent

          SubProcessNodeBuilder<T> independent​(boolean independent)

    - #### onEntryAction

          T onEntryAction​(Dialect dialect,
                          java.lang.String action)

    - #### onExitAction

          T onExitAction​(Dialect dialect,
                         java.lang.String action)

    - #### timer

          T timer​(java.lang.String delay,
                  java.lang.String period,
                  Dialect dialect,
                  java.lang.String action)